#
# spec file for package 
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           gxiso
Version:        1.5
Release:        1.25
License:        GPL-2.0
Summary:        A Xbox Iso extractor
Url:            http://gxiso.berlios.de/
Group:          Productivity/Other
Source0:        %{name}-%{version}.tar.gz
BuildRequires:  python
Requires:       python-gtk
Requires(post): desktop-file-utils
Requires(post): dos2unix
Suggests:       %{name}-lang
Suggests:       unrar
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
 gXiso is a Free Software to extract and upload Xbox ISO images to a Xbox.

It can read from rar, zip, gz and bz2 archives without using any disk space, the transfer speed will be near the maximum possible speed on your system. 

%lang_package

%prep
%setup -q

%build
python setup.py build

%install
python setup.py install --root %{buildroot} --prefix %{_prefix}
%find_lang %{name} %{?no_lang_C}
dos2unix %{buildroot}%{_bindir}/gxiso.py

%files
%defattr(-,root,root)
%doc ChangeLog README LICENSE
%dir %{python_sitelib}/gxiso
%dir %{_datadir}/gxiso
%{_bindir}/gxiso.py
%{python_sitelib}/gxiso-1.5-py2.7.egg-info
%{python_sitelib}/gxiso/__init__.py
%{python_sitelib}/gxiso/__init__.pyc
%attr(0755,root,root) %{python_sitelib}/gxiso/gxiso.py
%{python_sitelib}/gxiso/gxiso.pyc
%attr(0755,root,root) %{python_sitelib}/gxiso/gxiso_save.py
%{python_sitelib}/gxiso/gxiso_save.pyc
%{_datadir}/%{name}/gxiso.glade
%{_datadir}/%{name}/gxiso.png

%files lang -f %{name}.lang

%changelog
* Tue Sep 25 2012 seiler@b1-systems.de
- replaced hard-coded python path with python_sitelib macro to make this spec file fit for future/past releases
* Thu Sep 20 2012 seiler@b1-systems.de
- initial package
